Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network54.2.176.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
54.2.176.0
Broadcast address
54.2.179.255
First usable
54.2.176.1
Last usable
54.2.179.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 3602B000 · Integer 906145792 to 906146815
Reverse DNS zones
176.2.54.in-addr.arpa
177.2.54.in-addr.arpa
178.2.54.in-addr.arpa
179.2.54.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110110.00000010.10110000.0000000054.2.176.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00110110.00000010.10110000.0000000054.2.176.0
Broadcast00110110.00000010.10110011.1111111154.2.179.255
Split into smaller subnets/29

54.2.176.0/22 makes 128 subnets of /29.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
154.2.176.0/2954.2.176.1 to 54.2.176.654.2.176.76
254.2.176.8/2954.2.176.9 to 54.2.176.1454.2.176.156
354.2.176.16/2954.2.176.17 to 54.2.176.2254.2.176.236
454.2.176.24/2954.2.176.25 to 54.2.176.3054.2.176.316
554.2.176.32/2954.2.176.33 to 54.2.176.3854.2.176.396
654.2.176.40/2954.2.176.41 to 54.2.176.4654.2.176.476
754.2.176.48/2954.2.176.49 to 54.2.176.5454.2.176.556
854.2.176.56/2954.2.176.57 to 54.2.176.6254.2.176.636
954.2.176.64/2954.2.176.65 to 54.2.176.7054.2.176.716
1054.2.176.72/2954.2.176.73 to 54.2.176.7854.2.176.796
1154.2.176.80/2954.2.176.81 to 54.2.176.8654.2.176.876
1254.2.176.88/2954.2.176.89 to 54.2.176.9454.2.176.956
1354.2.176.96/2954.2.176.97 to 54.2.176.10254.2.176.1036
1454.2.176.104/2954.2.176.105 to 54.2.176.11054.2.176.1116
1554.2.176.112/2954.2.176.113 to 54.2.176.11854.2.176.1196
1654.2.176.120/2954.2.176.121 to 54.2.176.12654.2.176.1276
1754.2.176.128/2954.2.176.129 to 54.2.176.13454.2.176.1356
1854.2.176.136/2954.2.176.137 to 54.2.176.14254.2.176.1436
1954.2.176.144/2954.2.176.145 to 54.2.176.15054.2.176.1516
2054.2.176.152/2954.2.176.153 to 54.2.176.15854.2.176.1596
2154.2.176.160/2954.2.176.161 to 54.2.176.16654.2.176.1676
2254.2.176.168/2954.2.176.169 to 54.2.176.17454.2.176.1756
2354.2.176.176/2954.2.176.177 to 54.2.176.18254.2.176.1836
2454.2.176.184/2954.2.176.185 to 54.2.176.19054.2.176.1916
2554.2.176.192/2954.2.176.193 to 54.2.176.19854.2.176.1996
2654.2.176.200/2954.2.176.201 to 54.2.176.20654.2.176.2076
2754.2.176.208/2954.2.176.209 to 54.2.176.21454.2.176.2156
2854.2.176.216/2954.2.176.217 to 54.2.176.22254.2.176.2236
2954.2.176.224/2954.2.176.225 to 54.2.176.23054.2.176.2316
3054.2.176.232/2954.2.176.233 to 54.2.176.23854.2.176.2396
3154.2.176.240/2954.2.176.241 to 54.2.176.24654.2.176.2476
3254.2.176.248/2954.2.176.249 to 54.2.176.25454.2.176.2556
3354.2.177.0/2954.2.177.1 to 54.2.177.654.2.177.76
3454.2.177.8/2954.2.177.9 to 54.2.177.1454.2.177.156
3554.2.177.16/2954.2.177.17 to 54.2.177.2254.2.177.236
3654.2.177.24/2954.2.177.25 to 54.2.177.3054.2.177.316
3754.2.177.32/2954.2.177.33 to 54.2.177.3854.2.177.396
3854.2.177.40/2954.2.177.41 to 54.2.177.4654.2.177.476
3954.2.177.48/2954.2.177.49 to 54.2.177.5454.2.177.556
4054.2.177.56/2954.2.177.57 to 54.2.177.6254.2.177.636
4154.2.177.64/2954.2.177.65 to 54.2.177.7054.2.177.716
4254.2.177.72/2954.2.177.73 to 54.2.177.7854.2.177.796
4354.2.177.80/2954.2.177.81 to 54.2.177.8654.2.177.876
4454.2.177.88/2954.2.177.89 to 54.2.177.9454.2.177.956
4554.2.177.96/2954.2.177.97 to 54.2.177.10254.2.177.1036
4654.2.177.104/2954.2.177.105 to 54.2.177.11054.2.177.1116
4754.2.177.112/2954.2.177.113 to 54.2.177.11854.2.177.1196
4854.2.177.120/2954.2.177.121 to 54.2.177.12654.2.177.1276
4954.2.177.128/2954.2.177.129 to 54.2.177.13454.2.177.1356
5054.2.177.136/2954.2.177.137 to 54.2.177.14254.2.177.1436
5154.2.177.144/2954.2.177.145 to 54.2.177.15054.2.177.1516
5254.2.177.152/2954.2.177.153 to 54.2.177.15854.2.177.1596
5354.2.177.160/2954.2.177.161 to 54.2.177.16654.2.177.1676
5454.2.177.168/2954.2.177.169 to 54.2.177.17454.2.177.1756
5554.2.177.176/2954.2.177.177 to 54.2.177.18254.2.177.1836
5654.2.177.184/2954.2.177.185 to 54.2.177.19054.2.177.1916
5754.2.177.192/2954.2.177.193 to 54.2.177.19854.2.177.1996
5854.2.177.200/2954.2.177.201 to 54.2.177.20654.2.177.2076
5954.2.177.208/2954.2.177.209 to 54.2.177.21454.2.177.2156
6054.2.177.216/2954.2.177.217 to 54.2.177.22254.2.177.2236
6154.2.177.224/2954.2.177.225 to 54.2.177.23054.2.177.2316
6254.2.177.232/2954.2.177.233 to 54.2.177.23854.2.177.2396
6354.2.177.240/2954.2.177.241 to 54.2.177.24654.2.177.2476
6454.2.177.248/2954.2.177.249 to 54.2.177.25454.2.177.2556
6554.2.178.0/2954.2.178.1 to 54.2.178.654.2.178.76
6654.2.178.8/2954.2.178.9 to 54.2.178.1454.2.178.156
6754.2.178.16/2954.2.178.17 to 54.2.178.2254.2.178.236
6854.2.178.24/2954.2.178.25 to 54.2.178.3054.2.178.316
6954.2.178.32/2954.2.178.33 to 54.2.178.3854.2.178.396
7054.2.178.40/2954.2.178.41 to 54.2.178.4654.2.178.476
7154.2.178.48/2954.2.178.49 to 54.2.178.5454.2.178.556
7254.2.178.56/2954.2.178.57 to 54.2.178.6254.2.178.636
7354.2.178.64/2954.2.178.65 to 54.2.178.7054.2.178.716
7454.2.178.72/2954.2.178.73 to 54.2.178.7854.2.178.796
7554.2.178.80/2954.2.178.81 to 54.2.178.8654.2.178.876
7654.2.178.88/2954.2.178.89 to 54.2.178.9454.2.178.956
7754.2.178.96/2954.2.178.97 to 54.2.178.10254.2.178.1036
7854.2.178.104/2954.2.178.105 to 54.2.178.11054.2.178.1116
7954.2.178.112/2954.2.178.113 to 54.2.178.11854.2.178.1196
8054.2.178.120/2954.2.178.121 to 54.2.178.12654.2.178.1276
8154.2.178.128/2954.2.178.129 to 54.2.178.13454.2.178.1356
8254.2.178.136/2954.2.178.137 to 54.2.178.14254.2.178.1436
8354.2.178.144/2954.2.178.145 to 54.2.178.15054.2.178.1516
8454.2.178.152/2954.2.178.153 to 54.2.178.15854.2.178.1596
8554.2.178.160/2954.2.178.161 to 54.2.178.16654.2.178.1676
8654.2.178.168/2954.2.178.169 to 54.2.178.17454.2.178.1756
8754.2.178.176/2954.2.178.177 to 54.2.178.18254.2.178.1836
8854.2.178.184/2954.2.178.185 to 54.2.178.19054.2.178.1916
8954.2.178.192/2954.2.178.193 to 54.2.178.19854.2.178.1996
9054.2.178.200/2954.2.178.201 to 54.2.178.20654.2.178.2076
9154.2.178.208/2954.2.178.209 to 54.2.178.21454.2.178.2156
9254.2.178.216/2954.2.178.217 to 54.2.178.22254.2.178.2236
9354.2.178.224/2954.2.178.225 to 54.2.178.23054.2.178.2316
9454.2.178.232/2954.2.178.233 to 54.2.178.23854.2.178.2396
9554.2.178.240/2954.2.178.241 to 54.2.178.24654.2.178.2476
9654.2.178.248/2954.2.178.249 to 54.2.178.25454.2.178.2556
9754.2.179.0/2954.2.179.1 to 54.2.179.654.2.179.76
9854.2.179.8/2954.2.179.9 to 54.2.179.1454.2.179.156
9954.2.179.16/2954.2.179.17 to 54.2.179.2254.2.179.236
10054.2.179.24/2954.2.179.25 to 54.2.179.3054.2.179.316
10154.2.179.32/2954.2.179.33 to 54.2.179.3854.2.179.396
10254.2.179.40/2954.2.179.41 to 54.2.179.4654.2.179.476
10354.2.179.48/2954.2.179.49 to 54.2.179.5454.2.179.556
10454.2.179.56/2954.2.179.57 to 54.2.179.6254.2.179.636
10554.2.179.64/2954.2.179.65 to 54.2.179.7054.2.179.716
10654.2.179.72/2954.2.179.73 to 54.2.179.7854.2.179.796
10754.2.179.80/2954.2.179.81 to 54.2.179.8654.2.179.876
10854.2.179.88/2954.2.179.89 to 54.2.179.9454.2.179.956
10954.2.179.96/2954.2.179.97 to 54.2.179.10254.2.179.1036
11054.2.179.104/2954.2.179.105 to 54.2.179.11054.2.179.1116
11154.2.179.112/2954.2.179.113 to 54.2.179.11854.2.179.1196
11254.2.179.120/2954.2.179.121 to 54.2.179.12654.2.179.1276
11354.2.179.128/2954.2.179.129 to 54.2.179.13454.2.179.1356
11454.2.179.136/2954.2.179.137 to 54.2.179.14254.2.179.1436
11554.2.179.144/2954.2.179.145 to 54.2.179.15054.2.179.1516
11654.2.179.152/2954.2.179.153 to 54.2.179.15854.2.179.1596
11754.2.179.160/2954.2.179.161 to 54.2.179.16654.2.179.1676
11854.2.179.168/2954.2.179.169 to 54.2.179.17454.2.179.1756
11954.2.179.176/2954.2.179.177 to 54.2.179.18254.2.179.1836
12054.2.179.184/2954.2.179.185 to 54.2.179.19054.2.179.1916
12154.2.179.192/2954.2.179.193 to 54.2.179.19854.2.179.1996
12254.2.179.200/2954.2.179.201 to 54.2.179.20654.2.179.2076
12354.2.179.208/2954.2.179.209 to 54.2.179.21454.2.179.2156
12454.2.179.216/2954.2.179.217 to 54.2.179.22254.2.179.2236
12554.2.179.224/2954.2.179.225 to 54.2.179.23054.2.179.2316
12654.2.179.232/2954.2.179.233 to 54.2.179.23854.2.179.2396
12754.2.179.240/2954.2.179.241 to 54.2.179.24654.2.179.2476
12854.2.179.248/2954.2.179.249 to 54.2.179.25454.2.179.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses